html, body {
    padding: 0;
    margin: 0;
}

#startscreen {
    z-index: 10;
    position: absolute;
    top:0;
    left:0;
    height:100%;
    width: 100%;
    margin: 0;
    background-color: rgb(36, 36, 75);  
    padding-top: 10%;  
}


#startscreen .content {
    width: 50%;
    /* min-height: 60%;; */
    margin: auto;
    padding: 2rem;
    background-color: whitesmoke;
    border: solid 0.7rem rgb(120, 120, 158);
}

#startscreen .content h1 {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 3rem;
    color: rgb(36, 36, 75);
    text-align: center;
}

#startscreen .content p {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1.5rem;
    text-align: center;
    color: rgb(36, 36, 75);
}

#startscreen .content .start-btn {
    width: 10rem;
    height: 1.8rem;
    padding: 0.7rem;
    margin: auto;
    border-radius: 2rem;
    background-color: orange;
    color: white;
    text-align: center;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: x-large;
}


.hidden {
    display: none;
}

nav {
    z-index: 9;
    width: 100%;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: left;
    background-color: rgb(36, 36, 75);
}
nav-item {
    z-index: 9;
    width: 13rem;
    padding: 0rem 1rem;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 1.5rem;
    text-align: center;
    color: whitesmoke;
}

nav-item.active {
    color: orange;
}

.page {
    z-index: 1;
    position: absolute;
    top:0;
    left:0;
    height:100%;
    width: 100%;
    margin: 0;
    padding-top: 3rem;
    background-color: rgb(36, 36, 75); 
    display: flex; 
}

.text {
    width: 30vw;
    height: 100vh;
    background-color: rgb(54, 54, 100);
    padding: 2rem;
    color: whitesmoke;
}
.text h1 {
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: 2rem;
}

.text p {
    font-family: sans-serif;
    font-size: 1.5rem;
}

.experiment {
    width: 70vw;
    height: 100vh;
    background-color: whitesmoke;
}

.split .experiment .array {
    margin: auto;
    margin-top: 30%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.split .experiment .array div {
    width: 3rem;
    height: 3rem;
    /* border: solid 2px black; */
    background-color: rgb(255, 214, 79);
    font-size: 2.5rem;
    padding: 1rem;
    text-align: center;
    flex-grow: 0;
} 

.split .experiment .array div.spacer {
    background-color: whitesmoke;
    border: none;
} 

.split .experiment h1 {
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: rgb(36, 36, 75);
    margin-top: 5rem;
}

.merge .experiment .larray, .merge .experiment .rarray {
    margin-top: 20%;
    width: 50%;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.merge .experiment .larray div, .merge .experiment .rarray div,  .merge .experiment .marray div{
    width: 3rem;
    height: 3rem;
    /* border: solid 2px black; */
    background-color: rgb(255, 214, 79);
    font-size: 2.5rem;
    padding: 1rem;
    text-align: center;
    flex-grow: 0;
}

.merge .experiment .marray {
    margin-top: 10%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.merge .experiment .msg {
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: rgb(36, 36, 75);
    margin-top: 5rem;
}

.experiment .btn {
    width: 10rem;
    height: 1.8rem;
    padding: 0.7rem;
    margin: auto;
    margin-top: 5rem;
    border-radius: 2rem;
    background-color: orange;
    color: white;
    text-align: center;
    font-family: Impact, Haettenschweiler, 'Arial Narrow Bold', sans-serif;
    font-size: x-large;
}

.sort .experiment .array {
    margin: auto;
    margin-top: 30%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.sort .experiment .array div {
    width: 3rem;
    height: 3rem;
    /* border: solid 2px black; */
    background-color: rgb(255, 214, 79);
    font-size: 2.5rem;
    padding: 1rem;
    text-align: center;
    flex-grow: 0;
} 

.sort .experiment h1 {
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: rgb(36, 36, 75);
    margin-top: 5rem;
}


.sort .experiment .array .spacer {
    width: 3rem;
    height: 3rem;
    background-color: whitesmoke;
    border: none;
} 

.mergesort .experiment .array {
    margin: auto;
    margin-top: 30%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mergesort .experiment .array div {
    width: 3rem;
    height: 3rem;
    /* border: solid 2px black; */
    background-color: rgb(255, 214, 79);
    font-size: 2.5rem;
    padding: 1rem;
    text-align: center;
    flex-grow: 0;
} 

.mergesort .experiment .array div.spacer {
    background-color: whitesmoke;
    border: none;
} 

.mergesort .experiment h1 {
    text-align: center;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    color: rgb(36, 36, 75);
    margin-top: 5rem;
}